import { TableSettingButtonSlimmer } from './table-setting-button-slimmer.abstract';
import { VegaRichTextTableSetting } from '../../vega-rich-text-table-setting';
/**
 * Slimmer dedicated to building the column button.
 */
export declare class ColumnButtonSlimmer extends TableSettingButtonSlimmer {
  isColumnDropdownOpen: VegaRichTextTableSetting['isColumnDropdownOpen'];
  constructor();
  protected renderBtnWrapper(renderBtn: () => HTMLElement): HTMLElement;
  protected isSelected(): boolean;
  protected isDisabled(): boolean;
  protected handleClick(): void;
  /**
   * Render the action list.
   *
   * @returns {HTMLElement} The action list element.
   */
  private renderActionList;
  private handleDropdownItemClick;
  private handleDropdownVisibilityChange;
  /**
   * Determine if all columns are selected based on the selected cell range.
   *
   * @param selectedCellRange
   * @returns {boolean} true if all columns are selected
   */
  private allColumnSelected;
}
